import { ModelProviderBase } from '../provider/ModelProviderBase';
export declare class ModelRegistry {
    private static instance;
    private providers;
    static getInstance(): ModelRegistry;
    register(provider: ModelProviderBase): void;
    getProvidersBySuite(suiteKey: SuiteKey): ModelProviderBase;
    clearAll(): void;
}
